<?php

include "./includes/mysql_config.php";
include "./includes/mysql_class.php";
include "./includes/common.php";

//检测授权 搭建
set_up($conn, $_SERVER['HTTP_HOST']);
$web_xx=web_xx($conn, $_SERVER['HTTP_HOST']) or die("网站信息获取失败！");;

?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>爱讯云微商城——个人店铺，个人售卖页</title>
	<link rel="stylesheet" href="./template/write_concise/css/style.css" />
	<link rel="stylesheet" href="./template/write_concise/css/index.css" />
	<style>
	.index{
		position: fixed;
		top:25vh;
		width:100vw;
		z-index: 999;
	}
	.index .index_news{
		margin:0px auto;
		width:900px;
		height:400px;
		background-color: rgba(255,255,255,0.6);
		box-sizing: border-box;
		border:1px solid rgba(0,0,0,0.6);
	}
	.index_news .close{
		width: 100%;
		height: 35px;
		background-color: rgba(0,0,0,0.3);
		position: sticky;
		top:0px;
	}
	.close .close_x{
		display: inline-block;
		text-align: center;
		width:80px;
		color:#FFE4E4;
		font-size: 26px;
		background-color:rgba(255,0,0,0.7);
		transition: 0.2s;
	}
	.index_news .close .close_x:hover{
		color: #fff;
		background-color: rgba(255,0,0,1);
		box-shadow: 3px 3px 8px rgba(255,0,0,0.5);
	}
	.index_news .text{
		width:100%;
		height: 363px;
		word-wrap: break-word;
		overflow: auto;
	}



	.index1 .header2{
		width:100%;
		padding:30px 0;
		border-bottom: 1px solid rgba(0,0,0,0.2);
		display: flex;
		justify-content:space-around;
		align-items: center;
		flex-wrap: wrap;
	}
	.header2 .mini_image{
		width:100px;
		font-size: 24px;
		text-decoration: none;
		color:#303030;
		font-family: '黑体';
		text-align:center;
	}
	.header2 .mini_image img{
		width:100%;
	}


	</style>
</head>
<body>
	<?php
	if(!@$_GET["search"]){
	?>
		<div class="index">
			<div id=1 class="index_news">
				<div align="right" class='close'>
					<span style="float:left; color:#fff;font-size:26px;margin-left:15px;">
						重要通知：
					</span>
					<span class="close_x" onclick="close_news(1)">x</span>
				</div>
				<div class="text">
					<?php
						include "./template/text.php";
					?>
				</div>
			</div>
		</div>
	<?php
	}
	?>

	<!-- 加载动画 -->
	<div class="index0">

	</div>
	
	<!-- 商城内容 -->
	<div class="index1">

		<!-- 商城顶部的带背景搜索框 -->
		<div class="header1">
			<div style="background-image:url(https://api.ixiaowai.cn/api/api.php);" class="header_bg">
			</div>
			<h1>爱讯云微商城 — 不一样的售卖商城</h1>
			<form action="./index.php">
				<input name="search" class="index_sou_text" type="text" autocomplete="off" placeholder="搜一下？" required/>
				<input class="index_sou_submit" type="submit" value="Biu~发射" />
			</form>
 		</div>
		<!-- 商城顶部关键词推荐 商品推荐 各种推荐 -->
		<div class="header2">
			<a class="mini_image" href="./index.php">
				<img src="./images/index/quanbu.png"/>
				<br>
				<span>展示全部</span>
			</a>
			<a class="mini_image" href="./index.php?search=代练">
				<img src="./images/index/dai.jpg"/>
				<br>
				<span>代练</span>
			</a>
			<a class="mini_image" href="./index.php?search=流量卡">
				<img src="./images/index/liuliangka.png"/>
				<br>
				<span>流量卡</span>
			</a>
			<a class="mini_image" href="./index.php?search=qq">
				<img src="./images/index/qq.jpg"/>
				<br>
				<span>QQ业务</span>
			</a>
		</div>
		<!-- 商城商品内容 -->
		<div class="bodyer">
			<!-- 商品遍历循环 -->
			<?php
			foreach (Index_Shop($conn, @$_GET["search"]) as $Index_Shop) {
			?>
				<a class="shop" href="./pay/index.php?shop_id=<?php echo $Index_Shop['shop_id'] ?>">
					<img src="<?php echo $Index_Shop['shop_image'] ?>">
					<div>
						<span class="shop_name"><?php echo $Index_Shop['shop_name'] ?></span>
						<span class="shop_money">¥ <?php echo $Index_Shop['shop_price'] ?></span>
					</div>
				</a>
			<?php
			}
			?>
			<!-- 商品遍历循环*结束* -->
		</div>
		<!-- 结束 -->
	</div>
	<script src="./1.php"></script>
	<script>
	function close_news(id) {
		var news=document.getElementById(id);
		news.style.display="none";
	}
	</script>
</body>
</html>